Bug 53131 - Only kernel-2.4.7-2.9, can't boot on IA-64 system.
Only kernel-2.4.7-2.9, can't boot on IA-64 system.
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
ia64 Linux
high Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-09-04 03:47 EDT by Shinya Narahara
Modified: 2007-03-26 23:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-09-04 03:49:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Shinya Narahara 2001-09-04 03:47:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [ja] (WinNT; U)

Description of problem:
IA-64 Lion system can't boot if upgrade the kernel from 2.4.3-12 to 2.4.7-2.9.
The cause is "can't mount root filesystem".

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install Seawolf into IA-64 Lion machine which has AR352 for root device.
2. Upgrade kernel to 2.4.7-2.9
3. reboot

Actual Results:  Boot normally.

Expected Results:  Boot sequence is stopped at mounting root device.

Additional info:

The base package is seawolf, and we installed kernel-smp-2.4.7-2.9
by using rpm command "rpm -ivh kernel-smp-2.4.7-2.9.ia64.rpm". 
This is selectable system 2.4.3-12smp and 2.4.7-2.9smp.

Booting 2.4.3-12, the machine can boot normally.
Booting 2.4.7-2.9smp, couldn't boot. It seems
that the DAC960 driver is loaded normally, but 
"can't mount root fs". The boot parameters for
both kernel are same according to elilo.conf.
# On qla12160 system(without AR352), 2.4.7-2.9smp
# can mount root fs and boot normally...

	CPU  = Lion system IA64(x2)
	MEM  = 1G
	DEV  = AcceleRAID352, qla12160, ATI RageXL, i82559
	RAID = on AR352, /dev/rd/c0d0p1(/boot/efi,FAT)

Error messages at the boot time are below:
DAC960#0 Logical Drives :
            /dev/rd/c0d0: RAID-1, OnLine, 36061184 blocks
                          Logical Device Initialized, BIOS Geometry: 255/63
                          Striped Size: 64KB, Segment Size: 8KB
                          Read Cache Disabled, Write Cache Disabled
Partition check:
    rd/c0d0: rd/c0d0p1 rd/c0d0p2 rd/c0d0p3
Mounting /proc filesystem
Creating root device
Mounting root filesystem
VFS: Can't find ext2 filesystem on dev dac960(48,3).
mount: error22 mounting ext2
pirotroot: pirod_root(/sysroot, /sysroot/initrd) failed: 2
Freeing unused kernel memory: 352KB freed.
kernel panic: No init found. Try passing init= option to kernel.
Comment 1 Shinya Narahara 2001-09-04 03:49:46 EDT
DAC960 driver on IA-64 is sensitive about its HW rev,
BIOS and Firmware version. If this issue is caused by
these ver, It's hard to find out the reason by checking

We currentry use these versions:
	AR352(HW)rev = Rev.C, BIOS = 6.10.07, F/W = 6.10.19.
Comment 2 Shinya Narahara 2001-12-03 01:45:45 EST
This issue has never been occured on kernel-2.4.9-12 or above.
So we guess this has been fixed alreadly.

Note You need to log in before you can comment on or make changes to this bug.